## org.eclipse.datatools.sqltools.sqlbuilder.views
Class ObjectListHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectHelper
          org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectListHelper

    public class ObjectListHelper

extends ObjectHelper

Constructor Summary
`ObjectListHelper(org.eclipse.swt.widgets.List list)`

Method Summary
`void` `addEntry(java.lang.String entry)`
`void` `deselectAll()`
`java.lang.String[]` `getSelection()`
`int` `getSelectionCount()`
`int` `getSelectionIndex()`
`boolean` `isMultipleSelection()`
`void` `removeAll()`
`void` `selectIndex(int index)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectHelper
`addItem, addItems, clear, getLabelValuePair, getObjectAt, getSelectedLabelValuePair, getSelectedObject, indexOf, indexOf, indexOfValue, select, select, setItems`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectListHelper

    public ObjectListHelper(org.eclipse.swt.widgets.List list)

Method Detail

### removeAll

    public void removeAll()

  Specified by:
    `removeAll` in class `ObjectHelper`

### addEntry

    public void addEntry(java.lang.String entry)

  Specified by:
    `addEntry` in class `ObjectHelper`

### isMultipleSelection

    public boolean isMultipleSelection()

### getSelectionCount

    public int getSelectionCount()

### getSelectionIndex

    public int getSelectionIndex()

  Specified by:
    `getSelectionIndex` in class `ObjectHelper`

### deselectAll

    public void deselectAll()

### getSelection

    public java.lang.String[] getSelection()

### selectIndex

    public void selectIndex(int index)

  Specified by:
    `selectIndex` in class `ObjectHelper`